package com.starbuds.robotanchor;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.net.InetAddress;
import java.net.UnknownHostException;

@SpringBootApplication
@Slf4j
public class RobotAnchorApplication {

    public static void main(String[] args) {
        System.setProperty("app.name", "robot-anchor");
        try {
            System.setProperty("hostname", InetAddress.getLocalHost().getHostName());
        } catch (UnknownHostException e) {
            System.setProperty("hostname", System.getProperty("app.name"));
        }
        SpringApplication.run(RobotAnchorApplication.class, args);
        log.info("[robot-anchor] started.");
    }

}
